Bug 1056972 - tests failing on big endians
Summary: tests failing on big endians
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql   
(Show other bugs)
Version: 22
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2014-01-23 09:29 UTC by Dan Horák
Modified: 2016-07-19 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 10:54:48 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Horák 2014-01-23 09:29:38 UTC
Description of problem:
Starting with version 5.6 there are test failing on big endian arches like s390/s390x and ppc/ppc64.

from build.log
...
--------------------------------------------------------------------------
Unit tests: 100% tests passed, 0 tests failed out of 21
Report from unit tests in /builddir/build/BUILD/mysql-5.6.15/build/mysql-test/var/ctest.log
--------------------------------------------------------------------------
The servers were restarted 393 times
Spent 1414.936 of 2503 seconds executing testcases
Check of testcase failed for: main.myisam main.variables main.merge_recover
Completed: Failed 4/2059 tests, 99.81% were successful.
Failing test(s): innodb.innodb_ctype_ldml main.ctype_ldml main.ps_ddl main.ps_ddl1
The log files in var/log may give you some hint of what went wrong.
If you want to report this error, please read first the documentation
at http://dev.mysql.com/doc/mysql/en/mysql-test-suite.html
548 tests were skipped, 164 by the test itself.
mysql-test-run: *** ERROR: there were failing test cases
error: Bad exit status from /var/tmp/rpm-tmp.hAwdp3 (%check)

for full logs on s390/s390x please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1338397

Version-Release number of selected component (if applicable):
community-mysql-5.6.15-2.fc21

Comment 1 Honza Horak 2014-01-24 08:59:52 UTC
Dane, I've disabled the tests during building so it should be build-able again. Keeping this bug opened to track the problems until we fix it.

Comment 2 Honza Horak 2014-01-24 09:08:52 UTC
Just a not for myself: main.ps_ddl and main.ps_ddl1 actually passes when running outside of koji on ppc64.

Comment 3 Jaroslav Reznik 2015-03-03 16:58:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Admin XMLRPC Client 2015-08-11 10:02:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2016-07-19 10:54:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.